Skip to main content
GET
/
v1
/
markets
/
{market_id}
/
orderbook
Get Market Orderbook
curl --request GET \
  --url https://api.polyquantlab.com/v1/markets/{market_id}/orderbook \
  --header 'Authorization: Bearer <token>'
{
  "market_id": "0x4a8f31...c2",
  "time": "2026-06-06T03:58:12+00:00",
  "mid_yes": 0.815,
  "spread_yes": 0.01,
  "underlying_price": 109842.5,
  "orderbook_up": {
    "bids": [
      [
        0.81,
        1200
      ],
      [
        0.8,
        850
      ],
      [
        0.79,
        2100
      ]
    ],
    "asks": [
      [
        0.82,
        950
      ],
      [
        0.83,
        1800
      ],
      [
        0.84,
        1100
      ]
    ]
  },
  "orderbook_down": {
    "bids": [
      [
        0.18,
        1100
      ],
      [
        0.17,
        1700
      ]
    ],
    "asks": [
      [
        0.19,
        1300
      ],
      [
        0.2,
        900
      ]
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

market_id
string
required

Query Parameters

at
string<date-time> | null

Return the orderbook at (or closest to) this timestamp. Defaults to latest.

Response

Successful Response

market_id
string
required

Polymarket market identifier (hex 0x…).

time
string<date-time>
required
mid_yes
number<double>
required
spread_yes
number<double>
required
underlying_price
number<double>
required

Current spot price of the underlying coin at this snapshot.

orderbook_up
object
required
orderbook_down
object
required